Bug 20494 - Hardware detection tool for syslinux
: Hardware detection tool for syslinux
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/syslinux)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
: http://syslinux.zytor.com/wiki/index....
:
: 21044
: 17728
  Show dependency tree
 
Reported: 2009-06-18 21:58 by
Modified: 2009-08-14 16:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-06-18 21:58:28
http://syslinux.zytor.com/wiki/index.php/Hdt_%28Hardware_Detection_Tool%29

тут располагается утилита, которая наряду с memtest может быть вставлена в
загрузчик и позволяет узнать/проверить/собрать список оборудования на компе, на
котором предстоит грузиться или имеются проблемы с поддержкой оборудования..

HDT (for "Hardware Detection Tool") is a Syslinux com32 module designed to
display low-level information for any x86 compatible system.

HDT can inspect multiple subsystems:
    * CPU (via cpuid)
    * PCI
    * DMI
          o Memory modules
          o BIOS
          o Motherboard
          o IPMI base board
          o Chassis
          o Batteries
          o CPU 
    * Disks (work in progress)
    * Syslinux
    * Linux Kernel modules needed by this host
    * PXE environment
    * VESA 
.....
------- Comment #1 From 2009-07-09 07:49:58 -------
to sisyphus
------- Comment #2 From 2009-07-09 14:37:44 -------
Раньше, чем требуемый syslinux появиться на
http://download.opensuse.org/factory/repo/src-oss/suse/src/ даже не надейтесь.

Или могу отдать пакет, но через вопрос желающего в devel.
------- Comment #3 From 2009-07-21 21:56:18 -------
Для удобства посматривания: ждём syslinux-3.75+
------- Comment #4 From 2009-07-22 15:08:18 -------
(страшным голосом) а я вииижжжууу!

syslinux-3.82-1.1.src.rpm   21-Jul-2009 16:33
------- Comment #5 From 2009-07-23 19:26:10 -------
syslinux-3.82-alt1

В SuSE hdt не пакуют в syslinux и я не стал поэтому.
------- Comment #6 From 2009-07-23 20:08:09 -------
а в мандриве, например, пакуют самостоятельно.
но впрочем ладно, если кто что потом - можно вернуться..
------- Comment #7 From 2009-08-07 18:54:35 -------
(In reply to comment #5)
> В SuSE hdt не пакуют в syslinux и я не стал поэтому.
...и упаковал. :)

Сделал поддержку в mkimage-profiles-desktop:
http://git.altlinux.org/people/mike/packages/?p=mkimage-profiles-desktop.git;a=commitdiff;h=9cb06bad2356a4275cddaaf654c860b424db5353
------- Comment #8 From 2009-08-07 19:04:34 -------
(В ответ на комментарий №7)
> ...и упаковал. :)
Я думал, он отдельно :-)